summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-misc/ser2net/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-misc/ser2net/files')
-rw-r--r--net-misc/ser2net/files/ser2net-2.7-b230400.diff20
-rw-r--r--net-misc/ser2net/files/ser2net.confd27
-rw-r--r--net-misc/ser2net/files/ser2net.initd55
3 files changed, 102 insertions, 0 deletions
diff --git a/net-misc/ser2net/files/ser2net-2.7-b230400.diff b/net-misc/ser2net/files/ser2net-2.7-b230400.diff
new file mode 100644
index 000000000000..5e567c118eac
--- /dev/null
+++ b/net-misc/ser2net/files/ser2net-2.7-b230400.diff
@@ -0,0 +1,20 @@
+--- ser2net-2.7.orig/devcfg.c 2009-10-23 14:23:25.000000000 +0200
++++ ser2net-2.7/devcfg.c 2012-07-17 21:03:49.708603108 +0200
+@@ -113,6 +113,9 @@
+ } else if (strcmp(pos, "115200") == 0) {
+ cfsetospeed(termctl, B115200);
+ cfsetispeed(termctl, B115200);
++ } else if (strcmp(pos, "230400") == 0) {
++ cfsetospeed(termctl, B230400);
++ cfsetispeed(termctl, B230400);
+ } else if (strcmp(pos, "1STOPBIT") == 0) {
+ termctl->c_cflag &= ~(CSTOPB);
+ } else if (strcmp(pos, "2STOPBITS") == 0) {
+@@ -190,6 +193,7 @@
+ case B38400: str = "38400"; break;
+ case B57600: str = "57600"; break;
+ case B115200: str = "115200"; break;
++ case B230400: str = "230400"; break;
+ default: str = "unknown speed";
+ }
+ return str;
diff --git a/net-misc/ser2net/files/ser2net.confd b/net-misc/ser2net/files/ser2net.confd
new file mode 100644
index 000000000000..c66685159348
--- /dev/null
+++ b/net-misc/ser2net/files/ser2net.confd
@@ -0,0 +1,27 @@
+# Config file for /etc/init.d/ser2net
+
+# Set the configuration file to one other than the default of /etc/ser2net.conf
+#
+#CONFIG_FILE="/etc/ser2net.conf"
+
+# Enables the control port and sets the TCP port to listen to for the control port.
+# A port number may be of the form [host,]port, such as 127.0.0.1,2000 or localhost,2000.
+# If this is specified, it will only bind to the IP address specified for the port.
+# Otherwise, it will bind to all the addresses on the machine.
+#
+#CONTROL_PORT=""
+
+# Cisco IOS uses a different mechanism for specifying the baud rates than the mechanism
+# described in RFC2217. This option sets the IOS version of setting the baud rates.
+# The default is RFC2217s.
+#
+#CISCO_IOS="yes"
+
+# Enable or disable UUCP locking (default=yes)
+#
+#UUCP_LOCKS="no"
+
+# see the ser2net(8) manual page for additional options you can configure here
+#
+#EXTRA_OPTS=""
+
diff --git a/net-misc/ser2net/files/ser2net.initd b/net-misc/ser2net/files/ser2net.initd
new file mode 100644
index 000000000000..c3010b90446c
--- /dev/null
+++ b/net-misc/ser2net/files/ser2net.initd
@@ -0,0 +1,55 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+description="Serial to network proxy (${RC_SVCNAME#*.})"
+pidfile="/var/run/${RC_SVCNAME}.pid"
+command="/usr/sbin/ser2net"
+name="${RC_SVCNAME}"
+
+extra_started_commands="reload"
+description_reload="Reread configuration file and make the appropriate changes"
+start_stop_daemon_args="--quiet --exec ${command} --name ${name} --pidfile ${pidfile}"
+
+depend() {
+ use logger
+ need net
+}
+
+config_check() {
+ command_args="${EXTRA_OPTS}"
+ CONFIG_FILE_DEFAULT="/etc/ser2net.conf"
+
+ yesno "${CISCO_IOS:-no}" && command_args="${SER2NET_OPTS} -b"
+ yesno "${UUCP_LOCKS:-yes}" || command_args="${command_args} -u"
+ [ -z "${CONFIG_FILE}" ] && CONFIG_FILE="${CONFIG_FILE_DEFAULT}"
+ [ -n "${CONTROL_PORT}" ] && command_args="${command_args} -p ${CONTROL_PORT}"
+ [ "${CONFIG_FILE}" != "${CONFIG_FILE_DEFAULT}" ] && command_args="${command_args} -c ${CONFIG_FILE}"
+
+ if [ ! -f "${CONFIG_FILE}" ]; then
+ eerror "Please create ${CONFIG_FILE}"
+ eerror "Sample conf: ${CONFIG_FILE_DEFAULT}.dist"
+ return 1
+ fi
+ return 0
+}
+
+start() {
+ config_check || return ${?}
+ ebegin "Starting ${description}"
+ start-stop-daemon --start ${start_stop_daemon_args} -- ${command_args} -P "${pidfile}"
+ eend ${?}
+}
+
+stop() {
+ ebegin "Stopping ${description}"
+ start-stop-daemon --stop ${start_stop_daemon_args}
+ eend ${?}
+}
+
+reload() {
+ ebegin "Reloading ${description}"
+ start-stop-daemon --signal HUP ${start_stop_daemon_args}
+ eend ${?}
+}